## python-prodigy 2.0.0

=== requirements.txt ===
biopython
freesasa

=== debian/changelog ===
python-prodigy (2.0.0-2) unstable; urgency=medium

  * Add autopkgtest.

 -- Andrius Merkys <merkys@debian.org>  Thu, 09 Jun 2022 01:58:50 -0000

python-prodigy (2.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1011671)

 -- Andrius Merkys <merkys@debian.org>  Tue, 07 Jun 2022 08:20:45 -0400

=== debian/control ===
Source: python-prodigy
Section: science
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 help2man,
 python3-all,
 python3-biopython <!nocheck>,
 python3-freesasa <!nocheck>,
 python3-numpy <!nocheck>,
 python3-setuptools,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.1
Homepage: https://github.com/haddocking/prodigy
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-prodigy
Vcs-Git: https://salsa.debian.org/python-team/packages/python-prodigy.git

Package: python3-prodigy
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Protein Binding Affinity Prediction (Python 3)
 Collection of scripts to predict binding affinity values for protein-protein
 complexes from atomic structures.
 .
 This package installs the library for Python 3.

## python-prodigy 2.1.2

=== debian/changelog ===
python-prodigy (2.1.2-1) unstable; urgency=medium

  * New upstream version 2.1.2
  * Update standards version to 4.6.2, no changes needed.
  * Add missing build-dependency on python3-poetry-core.
  * Build with pybuild-plugin-pyproject.

 -- Andrius Merkys <merkys@debian.org>  Wed, 08 Feb 2023 03:53:59 -0500

python-prodigy (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1
  * Rework autopkgtest to autopkgtest-pkg-pybuild.
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Mon, 23 Jan 2023 04:20:50 -0500

## python-prodigy 2.1.4

=== debian/changelog ===
python-prodigy (2.1.4-1) unstable; urgency=medium

  * New upstream version 2.1.4

 -- Andrius Merkys <merkys@debian.org>  Mon, 19 Jun 2023 02:25:29 -0400

python-prodigy (2.1.3-1) experimental; urgency=medium

  * New upstream version 2.1.3

 -- Andrius Merkys <merkys@debian.org>  Thu, 13 Apr 2023 02:41:41 -0400

## python-prodigy 2.1.5

=== debian/changelog ===
python-prodigy (2.1.5-1) unstable; urgency=medium

  * New upstream version 2.1.5

 -- Andrius Merkys <merkys@debian.org>  Fri, 08 Dec 2023 08:03:20 -0500

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
  help2man,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-biopython <!nocheck>,
  python3-freesasa <!nocheck>,
  python3-numpy <!nocheck>,
- python3-setuptools,
-Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.6.1
+ python3-poetry-core,
+Testsuite: autopkgtest-pkg-pybuild
+Standards-Version: 4.6.2
 Homepage: https://github.com/haddocking/prodigy
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-prodigy
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-prodigy.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME = prodigy

%:
	dh $@ --buildsystem pybuild --with python3

override_dh_installman:
	PYTHONPATH=. help2man debian/python3-prodigy/usr/bin/prodigy --no-info \
		--name 'binding affinity predictor' > prodigy.1
	dh_installman prodigy.1

override_dh_auto_clean:
	dh_auto_clean
	rm -rf prodigy.egg-info

## python-prodigy 2.2.2

=== debian/changelog ===
python-prodigy (2.2.2-1) unstable; urgency=medium

  * New upstream version 2.2.2
  * Use dh-sequence-python3 instead of '--with python3' in debian/rules.
  * Simplify debian/rules.

 -- Andrius Merkys <merkys@debian.org>  Tue, 07 May 2024 03:22:52 -0400

## python-prodigy 2.2.3

=== debian/changelog ===
python-prodigy (2.2.3-1) unstable; urgency=medium

  * New upstream version 2.2.3

 -- Andrius Merkys <merkys@debian.org>  Mon, 07 Oct 2024 06:41:12 -0400

## python-prodigy 2.2.5

=== debian/changelog ===
python-prodigy (2.2.5-1) unstable; urgency=medium

  * New upstream version 2.2.5

 -- Andrius Merkys <merkys@debian.org>  Thu, 21 Nov 2024 04:50:19 -0500

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-python3,
  help2man,
  pybuild-plugin-pyproject,
  python3-all,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME = prodigy

%:
	dh $@ --buildsystem pybuild

execute_before_dh_installman:
	PYTHONPATH=src help2man debian/python3-prodigy/usr/bin/prodigy --no-info \
		--name 'binding affinity predictor' \
		--version-string $(DEB_VERSION_UPSTREAM) > prodigy.1

execute_after_dh_auto_clean:
	rm -rf prodigy.egg-info

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v(\d\S+)\.tar\.gz/prodigy-$1\.tar\.gz/ https://github.com/haddocking/prodigy/tags .*\/v(\d\S+)\.tar\.gz

## python-prodigy 2.3.0

=== debian/changelog ===
python-prodigy (2.3.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Tue, 26 Aug 2025 07:48:01 -0400

python-prodigy (2.3.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.3.0
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Fri, 02 May 2025 11:37:37 -0400

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,10 @@
  python3-all,
  python3-biopython <!nocheck>,
  python3-freesasa <!nocheck>,
+ python3-hatchling,
  python3-numpy <!nocheck>,
  python3-poetry-core,
+ python3-pytest <!nocheck>,
 Testsuite: autopkgtest-pkg-pybuild
 Standards-Version: 4.6.2
 Homepage: https://github.com/haddocking/prodigy

## python-prodigy 2.4.0

=== debian/changelog ===
python-prodigy (2.4.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from python3-biopython and python3-freesasa.
    Closes: #1116872.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Sat, 11 Oct 2025 23:30:00 +0200

python-prodigy (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0

 -- Andrius Merkys <merkys@debian.org>  Mon, 08 Sep 2025 03:23:03 -0400

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,20 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Andrius Merkys <merkys@debian.org>,
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  help2man,
  pybuild-plugin-pyproject,
  python3-all,
- python3-biopython <!nocheck>,
- python3-freesasa <!nocheck>,
+ python3-biopython,
+ python3-freesasa,
  python3-hatchling,
  python3-numpy <!nocheck>,
  python3-poetry-core,
  python3-pytest <!nocheck>,
 Testsuite: autopkgtest-pkg-pybuild
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/haddocking/prodigy
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-prodigy
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-prodigy.git
